function load()
{
    dashcode.setupParts();
    getURL();
}

function remove(){}
function hide(){}
function show(){}
function sync(){}

function showBack(event)
{
    var front = document.getElementById("front");
    var back = document.getElementById("back");
    if (window.widget) {
        widget.prepareForTransition("ToBack");
    }
    front.style.display = "none";
    back.style.display = "block";
    if (window.widget) {
        setTimeout('widget.performTransition();', 0);
    }
}

function showFront(event)
{
    var front = document.getElementById("front");
    var back = document.getElementById("back");
    if (window.widget) {
        widget.prepareForTransition("ToFront");
    }
    front.style.display="block";
    back.style.display="none";
    if (window.widget) {
        setTimeout('widget.performTransition();', 0);
    }
}

if (window.widget) {
    widget.onremove = remove;
    widget.onhide = hide;
    widget.onshow = show;
    widget.onsync = sync;
}

function submitArchive(event)
{
    // only submit if email form is filled out
    if (document.getElementById('email').value == "") {
        $('#archive_results').text('You must fill out your email address for archive to work. Please click the "i" in the lower right hand corner to add your email');
        return;
    }
    // Get input from fields
    var archive_url = $('#archive_url').val();
    var email = $('#email').val();
    // Submit
    $.get("http://www.webcitation.org/archive", {url: archive_url, email: email, returnxml: "true"}, function (data, textStatus) {handleArchive(data, textStatus);}, "xml" );
    // Handle request
    function handleArchive(data, textStatus) {
        var status;
        var timestamp;
        var originalurl;
        var webciteurl;
        var archive;
        var authors = $('#authors').val();
        if ($('#authors').val() != "") authors += ". ";
        var title = $('#title').val();
        if ($('#title').val() != "") title += ". ";
        var source = $('#source').val();
        if ($('#source').val() != "") source += ". ";
        var publishdate = $('#publishdate').val();
        if ($('#publishdate').val() != "") publishdate += ". ";
        var d = new Date();
        var accessdate = "Accessed: " + d.getFullYear() + "-" + d.getMonth() + "-" + d.getDate() + ". ";
        // Parse returned XML
        $(data).find("result").each(function() {
                var result = $(this);
                status = result.attr("status");
                timestamp = $(result).find("timestamp").text() + ". ";
                originalurl = $(result).find("original_url").text();
                webciteurl = $(result).find("webcite_url").text();
            });
        ;
        // format plain text version
        plainarchive = authors+title+source+publishdate+'URL: '+originalurl+'. '+accessdate+'(Archived by WebCite® at '+webciteurl+')';
        // farmat html version
        htmlarchive = authors+title+source+publishdate+'URL: <a href="'+originalurl+'">'+originalurl+'</a>' + accessdate + "(Archived by WebCite&reg; at "+'<a href="'+webciteurl+'">'+webciteurl+'</a>)';
        // Display results & copy to clipboard
        if (document.getElementById('showhtml').checked == true) {
            $('#archive_results').text(htmlarchive); 
            copyToClip(htmlarchive);
            set = 2;
        } else {
            $('#archive_results').text(plainarchive);
            copyToClip(plainarchive);
            set = 1;
        }
    }
}

var browsers = ['Safari', 'Firefox', 'Camino', 'Opera', 'Flock', 'OmniWeb'];
var browser = 0;
var set = 0;
function changeBrowser() {
    browser++;
    if (browser > 5) browser = 0;
    $('#button-browser img').attr('src', 'assets/icons/' + browsers[browser] + '.png');
    var check = widget.system('ps ax | grep -v grep | grep ' + browsers[browser] + '.app', null).outputString;
    if (check == undefined)
        document.getElementById('archive_url').value = 'http://';
    else 
        getURL();
}

function getURL() {
    var cmd;
    cmd = widget.system('assets/getURL-' + browsers[browser] + '.sh', null).outputString;
    document.getElementById('archive_url').value = cmd;
}

function changeFormat(event)
{
    if (set == 1) {
        $('#archive_results').text(htmlarchive);
        copyToClip(htmlarchive);
        set = 2;
    }
    else if (set == 2) {
        $('#archive_results').text(plainarchive);
        copyToClip(plainarchive);
        set = 1;
    }
}

function copyToClip(text) {
    widget.system("/bin/echo -n '" + text + "' | /usr/bin/pbcopy", null);
}